fastlane-community / fastlane-plugin-aws_sns

fastlane plugin for creating AWS SNS platform applications for iOS and Android apps by @joshdholtz

Geek Repo:Geek Repo

Github PK Tool:Github PK Tool

Unable to add plugin when aws_s3 is installed

waltermvp opened this issue · comments

@joshdholtz First of all thank you for these amazing plugins.

I am unable to add sns plugin due to a aws dependency conflict with aws_s3.
Any workarounds?

waltervargas-pena@Walters-MacBook-Pro ios (development) $ bundle exec fastlane add_plugin aws_sns
+----------------------------+---------+-------------------------------------+
|                                Used plugins                                |
+----------------------------+---------+-------------------------------------+
| Plugin                     | Version | Action                              |
+----------------------------+---------+-------------------------------------+

| fastlane-plugin-aws_s3     | 1.1.0   | aws_s3                              |
| fastlane-plugin-badge      | 1.0.0   | add_badge                           |
| fastlane-plugin-s3_actions | 0.1.3   | s3_check_file s3_download s3_upload |
+----------------------------+---------+-------------------------------------+

[14:39:16]: Plugin 'fastlane-plugin-aws_sns' was added to './fastlane/Pluginfile'
[14:39:16]: Make sure to commit your Gemfile, Gemfile.lock and Pluginfile to version control
Installing plugin dependencies...
The latest bundler is 1.16.0.pre.3, but you are currently running 1.15.4.
To update, run `gem install bundler --pre`
Bundler could not find compatible versions for gem "aws-sdk":
  In snapshot (Gemfile.lock):
    aws-sdk (= 2.10.62)

  In Gemfile:
    fastlane-plugin-aws_s3 was resolved to 1.1.0, which depends on
      aws-sdk (~> 2.3)

    fastlane-plugin-aws_sns was resolved to 0.1.1, which depends on
      aws-sdk (~> 2.0.0)

Running `bundle update` will rebuild your snapshot from scratch, using only
the gems in your Gemfile, which may resolve the conflict.
waltervargas-pena@Walters-MacBook-Pro ios (development) $ bundle exec fastlane add_plugin aws_sns

@waltermvp I had no idea these two had dependency conflicts 😇 I will get a fix out for this 👍

@joshdholtz thank for the incredibly fast response !!!

@joshdholtz would it help if I submit a PR for this ? :)

@waltermvp Sorry about that! 0.1.2 has been published. Hopefully that works for you 😊